msgpack::adaptor::pack< msgpack::type::ext > Struct Template Reference

`#include <ext.hpp>`

## Public Member Functions

template<typename Stream >
msgpack::packer< Stream > & | operator() (msgpack::packer< Stream > &o, const msgpack::type::ext &v) const

## Member Function Documentation

## operator()()

template<typename Stream >

msgpack::packer<Stream>& msgpack::adaptor::pack< msgpack::type::ext >::operator() | ( | msgpack< msgpack::type::ext >::packer< Stream > & | o,
|  | const msgpack< msgpack::type::ext >::type::ext & | v
| ) |  | const

inline

References msgpack::type::ext::data(), msgpack::packer< Stream >::pack_ext(), msgpack::packer< Stream >::pack_ext_body(), msgpack::type::ext::size(), and msgpack::type::ext::type().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/ext.hpp